package lecture12_generics;

import java.util.Collections;
import java.util.List;
import java.util.Optional;

public class MostCommonFinder {

	public static <T> T findMostCommon(List<T> list) {
		Optional<T> bestElem = Optional.empty();
		int maxAntall=0;
		for(T elem : list) {
			//int antall = countOccurences(list, elem);
			int antall = Collections.frequency(list, elem);
			//update max value
			if(antall>maxAntall) {
				maxAntall = antall;
				bestElem = Optional.of(elem);
			}
		}
		return bestElem.get();
	}

	private static <T> int countOccurences(List<T> list, T elem) {
		//telle antall ganger dette elementet forekommer
		int antall = 0;
		for(T elem2 : list) {
			if(elem.equals(elem2)) {
				antall++;
			}
		}
		return antall;
	}
}
