package lecture4;

public class Box {

	//feltvariabler, fields, instance variable
	int height; //in cm
	int width;
	int depth;
	double weight; //in kg
	
	public Box(int height, int width, int depth, double weight){
		this.height = height;
		this.width = width;
		this.depth = depth;
		this.weight = weight;
	}
	
	protected int volume() {
		return height*width*depth;
	}
	
	@Override
	public String toString(){
		return "Box with h="+height+" w="+width+"d="+depth;
	}
	
	@Override
	public boolean equals(Object obj) {
		if(obj instanceof Box) {
			Box box = (Box)obj;
			if(this.height != box.height) {
				return false;
			}
			if(this.width != box.width) {
				return false;
			}
			if(this.depth != box.depth) {
				return false;
			}
			if(this.weight != box.weight) {
				return false;
			}
			return true;
		}
		return false;
	}
	
	
	static String label() {
		return "This is a box";
	}
}
