package lecture9;

import java.util.ArrayList;
import java.util.Iterator;

public class Range implements Iterable<Integer>{

	int max;
	
	Range(int max){
		this.max = max;
	}
	
	public ArrayList<Integer> getList(){
		ArrayList<Integer> indices = new ArrayList<Integer>();
		for(int i=0; i<max; i++) {
			indices.add(i);
		}
		return indices;
	}

	@Override
	public Iterator<Integer> iterator() {
		return new RangeIterator(max);
	}
	
	public static Range range(int max) {
		return new Range(max);
	}
}
