package no.uib.inf101.grid;

import java.util.Iterator;

public class CellPosIterator implements Iterator<CellPosition>{

	int rows;
	int cols;
	int curRow;
	int curCol;
	
	public CellPosIterator(int rows, int cols) {
		this.rows=rows;
		this.cols = cols;
		curRow=0;
		curCol=0;
	}

	@Override
	public boolean hasNext() {
		return curRow<rows && curCol<cols;
	}

	@Override
	public CellPosition next() {
		CellPosition pos = new CellPosition(curRow, curCol);
		curRow++;
		if(curRow>=rows) {
			curRow=0;
			curCol++;
		}
		return pos;
	}

}
