package no.uib.inf101.grid;

import java.util.Iterator;

public class GridCellIterator implements Iterator<GridCell> {

	IGrid grid;
	CellPosIterator positionsIter;
			
	public GridCellIterator(Grid grid) {
		this.grid = grid;
		positionsIter = new CellPosIterator(grid.rows(),grid.cols());
	}

	@Override
	public boolean hasNext() {
		return positionsIter.hasNext();
	}

	@Override
	public GridCell next() {
		CellPosition pos = positionsIter.next();
		return new GridCell(pos, grid.get(pos));
	}

}
