package forelesning10;

import static lecture9.Range.range;

import java.util.ArrayList;
import java.util.Iterator;

public class UseIterator {

	public static void main(String[] args) {
		Iterable<Integer> iterable = range(10);
		Iterator<Integer> iterator = iterable.iterator();
		ArrayList<Integer> list = range(10).getList();
				
		printMultiples(iterable, 4);
		printMultiples(iterator, 4);
		
		printMultiplicationTable(iterable);
		printMultiplicationTable(list);
//		printMultiplicationTable(iterator);
	}
	
	public static void printMultiples(Iterator<Integer> iter, int multiple) {
//		System.out.println("Using Iterator");
		while(iter.hasNext()) {
			int i= iter.next();
			System.out.print(i*multiple+"\t");
		}
		System.out.println();
	}

	public static void printMultiples(Iterable<Integer> iter, int multiple) {
//		System.out.println("Using Iterable");
		for(int i:iter) {
			System.out.print(i*multiple+"\t");
		}
		System.out.println();
	}
	
	public static void printMultiplicationTable(Iterable<Integer> iterable) {
		System.out.println("Printing multiplication table");
		int blank = 0;
		Iterator<Integer> iter = iterable.iterator();
		while(iter.hasNext()) {
			for(int i=0; i < blank; i++)
				System.out.print("\t");
			int multiple = iter.next();
			printMultiples(iterable, multiple);
			iter.remove();
			blank++;
		}
	}
	
	public static void printMultiplicationTable(Iterator<Integer> iter) {
		System.out.println("Printing multiplication table");
		while(iter.hasNext()) {
			int multiple = iter.next();
			printMultiples(iter, multiple);
		}
	}
	
	
	
	
}
