package lecture5;

import java.util.Objects;

public class Book {

	String author;
	String title;
	
	Book(String author, String title){
		this.author = author;
		this.title = title;
	}
	
	@Override
	public String toString() {
		return author+": "+title;
	}

	@Override
	public int hashCode() {
		return Objects.hash(author, title);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Book other = (Book) obj;
		return Objects.equals(author, other.author) && Objects.equals(title, other.title);
	}
	
	
}
