package lecture5;

import java.util.ArrayList;

public class Library {

	ArrayList<Book> books;
	
	Library(){
		books = new ArrayList<Book>();
		addBooks();
	}
	
	void addBooks() {
		books.add(new Book("Martin", "Objects"));
		books.add(new Book("Sondre", "Teaching"));
		books.add(new Book("Balder", "Vector"));
	}
	
	boolean hasBook(Book wanted){
		return books.contains(wanted);
	}
	
	public static void main(String[] args) {
		Library mylib = new Library();
		System.out.println(mylib.books);
		
		boolean found = mylib.hasBook(new Book("Sondre", "Teaching"));
		if(found) {
			System.out.println("Happy reading!");
		}
		else {
			System.out.println("Oh nooo!");
		}
	}
}
