package lecture8_encapsulation;

import java.util.ArrayList;
import java.util.List;

public class Odd {

	private List<Integer> oddNumbers;
	
	public Odd() {
		oddNumbers = new ArrayList<Integer>();
	}
	
	public void add(int num) {
		if(num%2==0)
			throw new IllegalArgumentException("Must be odd");
		else
			oddNumbers.add(num);
	}
	
	List<Integer> getList(){
		return new ArrayList(oddNumbers);	
	}
	
	@Override
	public String toString() {
		return oddNumbers.toString();
	}
}
